slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPProjectOperator

Computes the projection of the nonlinear operator.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPProjectOperator(NEP nep,PetscInt j0,PetscInt j1)

Collective

### Input Parameters

| nep | - the nonlinear eigensolver context
| j0 | - initial index
| j1 | - final index

### Notes

This is available for split operator only.

The nonlinear operator T(lambda) is projected onto span(V), where V is an orthonormal basis built internally by the solver. The projected operator is equal to sum_i V'*A_i*V*f_i(lambda), so this function computes all matrices Ei = V'*A_i*V, and stores them in the extra matrices inside DS. Only rows/columns in the range [j0,j1-1] are computed, the previous ones are assumed to be available already.

### See Also

NEPSetSplitOperator()

### Level

developer

### Location

src/nep/interface/nepsolve.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages